Package com.independentsoft.graph

# Class ReferenceAttachment

java.lang.Object
com.independentsoft.graph.Attachment
com.independentsoft.graph.ReferenceAttachment

All Implemented Interfaces:
  `ICreatable`

public class ReferenceAttachment extends Attachment

- ## Field Summary

  ### Fields inherited from class com.independentsoft.graph.Attachment

  `contentType, id, isInline, lastModifiedTime, name, size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReferenceAttachment()`
  `ReferenceAttachment​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReferenceAttachmentPermission`
  `getPermission()`
  `String`
  `getPreviewUrl()`
  `ReferenceAttachmentProvider`
  `getProviderType()`
  `String`
  `getSourceUrl()`
  `String`
  `getThumbnailUrl()`
  `boolean`
  `isFolder()`
  `void`
  `setAsFolder​(boolean isFolder)`
  `void`
  `setPermission​(ReferenceAttachmentPermission permission)`
  `void`
  `setPreviewUrl​(String previewUrl)`
  `void`
  `setProviderType​(ReferenceAttachmentProvider providerType)`
  `void`
  `setSourceUrl​(String sourceUrl)`
  `void`
  `setThumbnailUrl​(String thumbnailUrl)`
  `String`
  `toCreateJson()`
  Generates JSON representation for creating this attachment.

  ### Methods inherited from class com.independentsoft.graph.Attachment

  `getContentType, getId, getLastModifiedTime, getName, getSize, isInline, setContentType, setInline, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReferenceAttachment

    public ReferenceAttachment()

  - ### ReferenceAttachment

    public ReferenceAttachment​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from class: `Attachment`
    Generates JSON representation for creating this attachment.
    Specified by:
      `toCreateJson` in interface `ICreatable`
    Specified by:
      `toCreateJson` in class `Attachment`
    Returns:
      JSON string for creation

  - ### isFolder

    public boolean isFolder()

  - ### setAsFolder

    public void setAsFolder​(boolean isFolder)

  - ### getPermission

    public ReferenceAttachmentPermission getPermission()

  - ### setPermission

    public void setPermission​(ReferenceAttachmentPermission permission)

  - ### getPreviewUrl

    public String getPreviewUrl()

  - ### setPreviewUrl

    public void setPreviewUrl​(String previewUrl)

  - ### getProviderType

    public ReferenceAttachmentProvider getProviderType()

  - ### setProviderType

    public void setProviderType​(ReferenceAttachmentProvider providerType)

  - ### getSourceUrl

    public String getSourceUrl()

  - ### setSourceUrl

    public void setSourceUrl​(String sourceUrl)

  - ### getThumbnailUrl

    public String getThumbnailUrl()

  - ### setThumbnailUrl

    public void setThumbnailUrl​(String thumbnailUrl)